<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- av-203 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#232927">
  <tr>
    <td width="28" height="38"><div style="width:28px;height:38px"></div></td>
    <td width="190"></td>
    <td width="1"></td>
    <td width="100%"></td>
    <td width="28" height="38"><div style="width:28px;height:38px"></div></td>
  </tr>
  <tr>
    <td></td>
    <td height="50">
		<!-- LOGO -->
        <table width="190"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="53" height="50"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td width="137" class="company" style="padding-top: 3px;padding-bottom: 3px; padding-left: 10px;padding-right: 3px;">
			<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
			</td>
          </tr>
        </table>
        <!-- END LOGO -->
    </td>
    <td width="1" valign="bottom"><img src="images/line_1.gif" width="1" height="62" align="bottom"/></td>
    <td class="slogan" style="padding-left: 18px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="1" background="images/line_4.gif" align="left"><img src="images/line_2.gif" height="1"/></td>
    <td height="1" background="images/line_4.gif"></td>
    <td height="1" background="images/line_4.gif" align="right"><img src="images/line_3.gif" height="1"/></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td align="right" valign="top">
		<br/>
		<!-- MENU -->
		<table width="190"  border="0" cellpadding="0" cellspacing="0">
		<xsl:call-template name="TOP-MENU"/>
		</table>
		<!-- END MENU -->
		<br/>
        <!-- SUBMENU -->
        <table width="190" border="0" cellpadding="0" cellspacing="0">
          <xsl:call-template name="SUB-MENU">
		  <xsl:with-param name="pageID" select="@ID"/>
		  </xsl:call-template>
        </table>
        <!-- END SUBMENU -->
		<br/>
	</td>
    <td width="1" background="images/line_7.gif"></td>
    <td valign="top" width="100%" height="100%">
	  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td>
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td background="images/header_1.jpg" align="right"><img src="images/header.jpg"/></td>
        </tr>
        <tr>
          <td height="1" background="images/line_4.gif" align="right"><img src="images/line_3.gif"/></td>
        </tr>
      </table><br/>
		  </td>
        </tr>
        <tr>
          <td>
	<table border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td class="text-header" style="padding-left: 30px;">
		  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	      </td>
			<td><img src="images/text_header.gif" align="absmiddle"/></td>
		</tr>
	  </table><br/>
		  </td>
        </tr>
        <tr>
          <td width="100%" height="100%" valign="top">
        <!-- CONTENT -->
		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top" style="padding-left: 30px;">
			<xsl:apply-templates select="PAGE-CONTENT"/>
			</td>
		</tr>
		</table><br/>
        <!-- END CONTENT -->
		  </td>
        </tr>
      </table>
    </td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="1" valign="top" background="images/line_4.gif" class="line_1" align="left"><img src="images/line_2.gif" height="1"/></td>
    <td height="1" background="images/line_4.gif"></td>
    <td height="1"  background="images/line_5.gif" align="right"><img src="images/line_3.gif" height="1"/></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <!-- FOOTER -->
    <td class="copyright"><div align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
    <!-- END FOOTER -->
    <td valign="top" height="62" width="1"><img src="images/line_5.gif"/></td>
    <td><!-- BOTTOM MENU -->
        <table border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td width="15"></td>
            <xsl:call-template name="BOTTOM-MENU"/> </tr>
            <td width="15"></td>
        </table>
        <!-- END BOTTOM MENU -->
    </td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="38" colspan="3"><div style="width:30px;height:38px"></div></td>
    <td></td>
  </tr>
</table>
</body>
</html>




</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	             <tr>
              <td width="23" height="32"></td>
              <td width="120" height="32" class="submenua" style="padding-left: 0px;padding-right: 15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td width="47" height="32"><img src="images/sub_button.gif"/></td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	             <tr>
                 <td width="23" height="32"></td>
                  <td width="120" height="32" class="submenu" style="padding-left: 0px;padding-right: 15px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td width="47"><span class="submenu"><img src="images/sub_button.gif"/></span></td>
                </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
              <td height="1" colspan="3" background="images/line_2.gif"></td>
            </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
             <td class="bmenu"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>		 </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
          <td class="bmenua"><div align="center" style="padding-left: 5px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
		   </xsl:when>
           <xsl:otherwise>
             <td class="bmenu"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>		
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td class="iconfoot"><img src="images/foot_button.gif"/></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
